package com.engine.organization.entity.commom;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import weaver.workflow.webservices.WorkflowBaseInfo;
import weaver.workflow.webservices.WorkflowMainTableInfo;

/**
 * @Author liang.cheng
 * @Date 2024/4/11 6:10 PM
 * @Description:
 * @Version 1.0
 */

@Data
@NoArgsConstructor
@Builder
@AllArgsConstructor
public class CusWorkflowRequestInfo {


    private String workflowName;

    private String nextFlow;

    private String requestLevel;

    private boolean canView;

    private String creatorId;

    private WorkflowBaseInfo workflowBaseInfo;

    private WorkflowMainTableInfo workflowMainTableInfo;



}
